Bug 61474 - Big-endian problem, inn on alpha
Big-endian problem, inn on alpha
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: inn (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-20 04:19 EST by Jacco Ligthart
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-06 08:55:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacco Ligthart 2002-03-20 04:19:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
It is not possible to request articles. Every (valid) request results in:
423 Bad article number


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Reproducible every time. Just setup inn to be a (local) news server.

Actual Results:  423 Bad article number

Expected Results:  I should have got the article. I know it's there. It's even
in then idexes and so on.

Additional info:

When stracing the nnrpd process it seems to search for article 33554432 when I
request article 2.
it also searches for article 50331648 when I request article 3.

Sample communication:

200 xxxx.yyyyy.zzz InterNetNews NNRP server INN 2.3.1 ready (posting ok).
list
215 Newsgroups in form "group high low flags".
linvision.test 0000000003 0000000002 y
.
group linvision.test
211 2 1 3 linvision.test
article 2
423 Bad article number
article 3
423 Bad article number


Strace output:
select(1, [0], NULL, NULL, {1769, 836432}) = 1 (in [0], left {1763, 691008})
read(0, "article 2\r\n", 8192)          = 11
open("/var/spool/news/overview/l/t/linvision.test.DAT", O_RDWR|O_APPEND|O_CREAT,
0660) = 6
open("/var/spool/news/overview/l/t/linvision.test.IDX", O_RDWR|O_CREAT, 0660) =
7
fstat(7, {st_mode=S_IFREG|0660, st_size=168, ...}) = 0
fcntl(6, F_GETFD)                       = 0
fcntl(6, F_SETFD, FD_CLOEXEC)           = 0
fcntl(7, F_GETFD)                       = 0
fcntl(7, F_SETFD, FD_CLOEXEC)           = 0
fstat(6, {st_mode=S_IFREG|0660, st_size=330, ...}) = 0
fstat(7, {st_mode=S_IFREG|0660, st_size=168, ...}) = 0
mmap(NULL, 330, PROT_READ, MAP_SHARED, 6, 0) = 0x20000020000
mmap(NULL, 168, PROT_READ, MAP_SHARED, 7, 0) = 0x20000022000
close(7)                                = 0
close(6)                                = 0
munmap(0x20000022000, 168)              = 0
munmap(0x20000020000, 330)              = 0
gettimeofday({1016615521, 347360}, NULL) = 0
open("/var/spool/news/articles/linvision/test/33554432", O_RDONLY) = -1 ENOENT
(No such file or directory)
write(1, "423 Bad article number\r\n", 24) = 24
select(1, [0], NULL, NULL, {1800, 0})   = 1 (in [0], left {1796, 867664})
read(0, "article 3\r\n", 8192)          = 11
open("/var/spool/news/overview/l/t/linvision.test.DAT", O_RDWR|O_APPEND|O_CREAT,
0660) = 6
open("/var/spool/news/overview/l/t/linvision.test.IDX", O_RDWR|O_CREAT, 0660) =
7
fstat(7, {st_mode=S_IFREG|0660, st_size=168, ...}) = 0
fcntl(6, F_GETFD)                       = 0
fcntl(6, F_SETFD, FD_CLOEXEC)           = 0
fcntl(7, F_GETFD)                       = 0
fcntl(7, F_SETFD, FD_CLOEXEC)           = 0
fstat(6, {st_mode=S_IFREG|0660, st_size=330, ...}) = 0
fstat(7, {st_mode=S_IFREG|0660, st_size=168, ...}) = 0
mmap(NULL, 330, PROT_READ, MAP_SHARED, 6, 0) = 0x20000020000
mmap(NULL, 168, PROT_READ, MAP_SHARED, 7, 0) = 0x20000022000
close(7)            = 0
close(6)                                = 0
munmap(0x20000022000, 168)              = 0
munmap(0x20000020000, 330)              = 0
gettimeofday({1016615524, 490080}, NULL) = 0
open("/var/spool/news/articles/linvision/test/50331648", O_RDONLY) = -1 ENOENT
(No such file or directory)
write(1, "423 Bad article number\r\n", 24) = 24
select(1, [0], NULL, NULL, {1800, 0}
Comment 1 Florian La Roche 2002-04-08 09:25:16 EDT
Is recompiling 2.3.2-11 (available hopefully by tomorrow in rawhide)
fixing this problem?

Thanks,

Florian La Roche
Comment 2 Martin Stransky 2005-01-06 08:55:42 EST
Or you can try 2.4.1 version.

Note You need to log in before you can comment on or make changes to this bug.